libpam-poldi_0.4.1-3+b1_i386.deb


Advertisement

Description

libpam-poldi - PAM module allowing authentication using a OpenPGP smartcard

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package name libpam-poldi
Package version 0.4.1
Package release 3+b1
Package architecture i386
Package type deb
Installed size 214 B
Download size 79.83 KB
Official Mirror ftp.br.debian.org
This PAM module will allow you to login, screenlock and validate to
services using your GnuPG smartcard.
You might have expected to find this with a name of libpam-pgp, libpam-gpg,
libpam-openpgp or libpam-gnupg.
This code is considered experimental and needs more testing. It is, however,
already used for the daily login.

Alternatives

Package Version Architecture Repository
libpam-poldi_0.4.1-3+b1_amd64.deb 0.4.1 amd64 Debian Main
libpam-poldi - - -

Requires

Name Value
libc6 >= 2.8
libgcrypt20 >= 1.6.1
libgpg-error0 >= 1.10
libksba8 >= 1.2.0
scdaemon -

Download

Type URL
Binary Package libpam-poldi_0.4.1-3+b1_i386.deb
Source Package poldi

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpam-poldi deb package:
    # sudo apt-get install libpam-poldi

Files

Path
/etc/logrotate.d/libpam-poldi
/etc/poldi/poldi.conf
/etc/poldi/scdaemon.conf
/etc/poldi/localdb/users
/etc/poldi/localdb/keys/README
/lib/security/pam_poldi.so
/usr/bin/poldi-ctrl
/usr/share/doc/libpam-poldi/MIGRATION
/usr/share/doc/libpam-poldi/NEWS.gz
/usr/share/doc/libpam-poldi/README.Debian
/usr/share/doc/libpam-poldi/TODO.Debian
/usr/share/doc/libpam-poldi/changelog.Debian.gz
/usr/share/doc/libpam-poldi/changelog.Debian.i386.gz
/usr/share/doc/libpam-poldi/changelog.gz
/usr/share/doc/libpam-poldi/copyright
/usr/share/info/poldi.info.gz
/usr/share/man/man1/poldi-ctrl.1.gz

Changelog

2013-07-10 - NIIBE Yutaka <gniibe@fsij.org>
poldi (0.4.1-3) unstable; urgency=low
* debian/control (Maintainer): New maintainer (Closes: #708833).
(Build-Depends): Require debhelper >= 9 and autotools-dev.
(Standard-Version): Bump to 3.9.4.
[libpam-poldi] (Depends): Replace to scdaemon (was: gpgsm).
(Recommends): Replace to gnupg2 (was: gnupg).
* debian/postrm: New (Closes: #656459).  Thanks to Andreas Beckmann.
* debian/compat: Require 9.
* debian/watch: New.  Thanks to Bart Martens.
* debian/NEWS: Remove (as it's 0.3 -> 0.4, from etch to lenny).
* debian/source/format: New.
* debian/patches/01-debian-specific-0.4.1.diff: New.
* debian/patches/02-ldflags-0.4.1.diff: New.
* debian/patches/03-fix-auth-localdb.diff: New.
* debian/rules: Re-write to use debhelper.
* Incorporate NMU.
2012-01-03 - Steve McIntyre <steve.mcintyre@linaro.org>
poldi (0.4.1-2.1) unstable; urgency=low
* NMU
* Add -lgpg-error when linking tests, to fix FTBFS. Closes: #556068.
* Lintian-inspired cleanups:
+ Update debhelper compat level from 4 to 8
+ Add simple initial build-arch and build-indep rules
+ Update Standards-Version
+ Move from dh_clean -k to dh_prep
+ Add versioned debhelper dep on version 8+
+ Add depends on dpkg (>= 1.15.4) | install-info
+ Remove .../info/dir.gz
2009-07-30 - Lionel Elie Mamane <lmamane@debian.org>
poldi (0.4.1-2) unstable; urgency=low
* Install a global scdaemon config file, scdaemon bails out if it does
not find it.
* Document that situation in README.Debian
* logrotate for the logfile
* ensure logfile is created with secure permissions
2009-07-30 - Lionel Elie Mamane <lmamane@debian.org>
poldi (0.4.1-1) unstable; urgency=low
* New upstream version (closes: #502562)
- Handle missing reader gracefully (closes: #428053)
* New comaintainer
* Add Homepage field to debian/control
* Bump up Standards-Version to 3.8.2
* Make poldi much more silent when not in debug mode
* Tweak some prompts
* Shut up scdaemon when not in verbose mode
* Make scdaemon use a global configuration file
* Timeout (3s hardcoded) when waiting for a smartcard
* Allow PIN with any character (not only digits)
* Reasonable default configuration file
2007-05-01 - Steve Langasek <vorlon@debian.org>
poldi (0.3.0-4.1) unstable; urgency=low
* Non-maintainer upload.
* 0-day alpha porter NMU.
* Don't call vsyslog with a NULL ap argument; this is abuse of the C
standard, and syslog() does what's wanted here anyway.  Closes: #353532.
2006-05-20 - Joachim Breitner <nomeata@debian.org>
poldi (0.3.0-4) unstable; urgency=low
* tries to load libpcsclite.so instead of libpcsclite.so.1 (Closes:
#368146)
2006-05-05 - Joachim Breitner <nomeata@debian.org>
poldi (0.3.0-3) unstable; urgency=low
* pin as option hack
* quiet option
* README.Debian about that
* Explain activating the pam module, closes: #365046
* Bumping policy, no change
2006-02-08 - Joachim Breitner <nomeata@debian.org>
poldi (0.3.0-2) unstable; urgency=low
* Upload to unstable. Should closes: #327516.
2005-12-22 - Joachim Breitner <nomeata@debian.org>
poldi (0.3.0-1) experimental; urgency=low
* New upstream release
2005-11-08 - Joachim Breitner <nomeata@debian.org>
poldi (0.3-cvs-1) UNRELEASED; urgency=low
* Upstream preview release
* Removed PIN-from-Logindata-hack, thus removed REAMDE.Debian

See Also

Package Description
libpam-pwdfile_1.0-1_i386.deb PAM module allowing authentication via an /etc/passwd-like file
libpam-pwquality_1.2.3-1_i386.deb PAM module to check password strength
libpam-python-doc_1.0.4-1_all.deb Documentation for the bindings provided by libpam-python
libpam-python_1.0.4-1_i386.deb Enables PAM modules to be written in Python
libpam-radius-auth_1.3.16-4.4_i386.deb The PAM RADIUS authentication module
libpam-runtime_1.1.8-3.1+deb8u2_all.deb Runtime support for the PAM library
libpam-script_1.1.7-1_i386.deb PAM module which allows executing a script
libpam-shield_0.9.6-1.1_i386.deb locks out remote attackers trying password guessing
libpam-shishi_1.0.2-5_i386.deb PAM module for Shishi Kerberos v5
libpam-slurm_14.03.9-5+deb8u1_i386.deb PAM module to authenticate using the SLURM resource manager
libpam-smbpass_4.2.14+dfsg-0+deb8u9_i386.deb pluggable authentication module for Samba
libpam-snapper_0.2.4-1_i386.deb PAM module for Linux filesystem snapshot management tool
libpam-ssh_2.01-2_i386.deb Authenticate using SSH keys
libpam-sshauth_0.3.1-1+deb8u1_i386.deb authenticate using an SSH server
libpam-sss_1.11.7-3_i386.deb Pam module for the System Security Services Daemon
Advertisement
Advertisement